org.apache.xerces.xs

## Interface XSAttributeGroupDefinition

All Superinterfaces:
  XSObject

    public interface XSAttributeGroupDefinition
    extends XSObject

This interface represents the Attribute Group Definition schema component.

### Method Summary

All Methods Instance Methods Abstract Methods
`XSAnnotation` `getAnnotation()` An annotation if it exists, otherwise `null`.
`XSObjectList` `getAnnotations()` A sequence of [annotations] or an empty `XSObjectList`.
`XSObjectList` `getAttributeUses()` A set of [attribute uses] if it exists, otherwise an empty `XSObjectList`.
`XSWildcard` `getAttributeWildcard()` A [wildcard] if it exists, otherwise `null`.

### Methods inherited from interface org.apache.xerces.xs.XSObject

`getName, getNamespace, getNamespaceItem, getType`

### Method Detail

#### getAttributeUses

    XSObjectList getAttributeUses()

A set of [attribute uses] if it exists, otherwise an empty `XSObjectList`.

#### getAttributeWildcard

    XSWildcard getAttributeWildcard()

A [wildcard] if it exists, otherwise `null`.

#### getAnnotation

    XSAnnotation getAnnotation()

An annotation if it exists, otherwise `null`. If not null then the first [annotation] from the sequence of annotations.

#### getAnnotations

    XSObjectList getAnnotations()

A sequence of [annotations] or an empty `XSObjectList`.